package ru.myitschool.work.domain.room

import ru.myitschool.work.data.repo.RoomBookingRepository
import ru.myitschool.work.domain.room.entities.RoomEntity

class GetRoomBookingsUseCase(
    private val repository: RoomBookingRepository
) {
    suspend operator fun invoke(roomId: Int): Result<RoomEntity> {
        return repository.getRoomBookings(roomId = roomId)
    }
}